Subject: Re: [PATCH V2 3/3] powerpc: Disable VPHN polling during a suspend operation

From: Michael Ellerman <[email-masked]>
Date: Wed, 10 Nov 2010 11:58:44 +1100

On Tue, 2010-11-09 at 16:25 -0700, Jesse Larrew wrote:
> From: Jesse Larrew <[email-masked]>
> 
> Tie the polling mechanism into the ibm,suspend-me rtas call to
> stop/restart polling before/after a suspend, hibernate, migrate,
> or checkpoint restart operation. This ensures that the system has a
> chance to disable the polling if the partition is migrated to a system
> that does not support VPHN (and vice versa).

I never got round to replying to you about my comments did I. This looks
good, in particular you're right about the error path in
__rtas_suspend_last_cpu(), I was getting muddled trying to read the code
while mentally adding the diff.

cheers